import axios from "../ApiHelper";

export let API = {
  getBatchPage: (selectedFilters) =>
    axios.post("/api/getBatchPage", selectedFilters),
  getSensorPage: (selectedFilters) =>
    axios.post("/api/getSensorPage", selectedFilters),
  getPrediction: () => axios.get("/api/getPrediction"),
  getSensorScenarioParams: () => axios.get("/api/getSensorScenarioParams"),
  setSensorScenarioParams: (selectedParams) =>
    axios.post("/api/setSensorScenarioParams", selectedParams),
  getPredictionScenarioParams: () =>
    axios.get("/api/getPredictionScenarioParams"),
  setPredictionScenarioParams: (selectedParams) =>
    axios.post("/api/setPredictionScenarioParams", selectedParams),
};
